Commit 59bf2a52 authored by Vlad Zahorodnii's avatar Vlad Zahorodnii
Browse files

Initialize the supports partial update flag to false

With 870679e4, if the partial update
extension is unsupported, setSupportsPartialUpdate() won't be called.

The problem is that it may leave OpenGLBackend::supportsPartialUpdate()
uninitialized, which can lead to a crash if an OpenGL render backend
tries to call eglSetDamageRegionKHR() and EGL_KHR_partial_update is
unsupported.
parent f037a69f
......@@ -295,7 +295,7 @@ private:
/**
* @brief Whether the backend supports EGL_KHR_partial_update
*/
bool m_havePartialUpdate;
bool m_havePartialUpdate = false;
bool m_haveSwapBuffersWithDamage = false;
/**
* @brief Whether the backend supports EGL_KHR_surfaceless_context.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment